<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

// Защита от мошенников
if (isset($_SESSION['sid']) && isset($_GET['sid']) && $_SESSION['sid'] == $_GET['sid']) {
	$_true = true;
}

only_reg();

// Начальная цена в баллах
$cost = 150;

// Айди владельца гарема
if (isset($_GET['id']))$ID = abs(intval($_GET['id']));

// Определяем юзера
$ank = get_user($ID);

// Если нет юзера выкидываем
if (!$ank || $ank['id'] == 0){
	header("Location: /index.php");
	exit;
}

// Cтатистика юзера
$stat = mysql_fetch_array(mysql_query("SELECT * FROM `garem_stat` WHERE `user_id` = '" . $user['id'] . "'"));

if (!isset($stat['id']))
{
	mysql_query("INSERT INTO `garem_stat` SET `user_id`='" . $user['id'] . "', `stolen`='0', `stole`='0', `mod`='1', `cost`='" . $cost. "'");
	mysql_query("UPDATE `user` SET `balls`= '" . $user['balls'] . "' + '" . $cost . "' WHERE `id` = '".$user['id']."' ");
	$_SESSION['message'] = 'Вам начислено ' . $cost . ' баллов для первой кражи';
	header('Location: act.php?id=' . $ID . '&act=theft');
	exit;
}

// Cтатистика 
$stat_ank = mysql_fetch_array(mysql_query("SELECT * FROM `garem_stat` WHERE `user_id` = '" . $ank['id'] . "'"));

if (!isset($stat_ank['id']))
{
	mysql_query("INSERT INTO `garem_stat` SET `user_id`='" . $ank['id'] . "', `stolen`='0', `stole`='0', `mod`='1', `cost`='" . $cost. "'");
	mysql_query("UPDATE `user` SET `balls`= '" . $ank['balls'] . "' + '" . $cost . "' WHERE `id` = '".$ank['id']."' ");
}

// Стража
if ($stat_ank['guard'] != null){
	$guard = unserialize($stat_ank['guard']);
}

// Cила пользователя
if ($stat['force'] != null){
	$force = unserialize($stat['force']);
} else {
	$force = array('health' => 100, 'health_time' => 0, 'fight_time' => 0);
}

require 'inc/guard.php';

$garem = mysql_fetch_array(mysql_query("SELECT `cost` FROM `garem_stat` WHERE `user_id` = '" . $ID . "'"));

// Покупка охраны
if (isset($_GET['act']) && $_GET['act'] == 'guard' && isset($_GET['ok'])){
	$id_str = (int) $_GET['ok'];
	
	if (isset($person[$id_str])){
		if ($user['money'] < $person[$id_str]['cost']){
			$err[] = 'У вас недостаточно монет';
		}
		if (!isset($_true)){
			$err[] = 'Неверный ключ сессии';
		}
		
		if (!isset($err)){
			$array = array('id' => $id_str, 'health' => 100, 'health_time' => 0, 'fight_time' => 0, 'time' => time());
			
			mysql_query("UPDATE `garem_stat` SET `guard` = '" . serialize($array) . "' WHERE `user_id` = '" . $user['id'] . "'");
			mysql_query("UPDATE `user` SET `money` = `money` - '" . $person[$id_str]['cost'] . "' WHERE `id` = '" . $user['id'] . "'");
			$_SESSION['message'] = 'Вы купили стражника к себе в гарем';
			header("Location: garem.php?id=" . $ID);
			exit;
		}
	}
}

// битва со стражей
if (isset($_GET['act']) && $_GET['act'] == 'fight' && isset($_GET['ok']) && $user['pol'] == $ank['pol'] && $user['id'] != $ank['id']){
	$id_str = $guard['id'];
	if (isset($person[$id_str])){
		if (!isset($_true)){
			$err[] = 'Неверный ключ сессии';
		}
		
		if ($force['health'] < 1){
			$err[] = 'У вас не достаточно сил для битвы';
		}
		
		if (!isset($err)){
			$array = $guard;
			$array['health'] = $guard['health'] - mt_rand(1, $person[$id_str]['force']);
			
			if ($array['health'] <= 0){
				$array['health_time'] = time() + 100;
				$array['health'] = 0;
			}
			
			$array['fight_time'] = time() + (100 - $array['health']);
			
			
			$force['health'] = $force['health'] - mt_rand(1, $person[$id_str]['force']); 
			
			if ($force['health'] <= 0){
				$force['health_time'] = time() + 200;
				$force['health'] = 0;
			}
			
			$force['fight_time'] = time() + 200 - ($force['health'] * 2);
			
			mysql_query("UPDATE `garem_stat` SET `guard` = '" . serialize($array) . "' WHERE `user_id` = '" . $ID . "' LIMIT 1");
			
			mysql_query("UPDATE `garem_stat` SET `force` = '" . serialize($force) . "' WHERE `user_id` = '" . $user['id'] . "' LIMIT 1");
			
			$_SESSION['message'] = 'Удар успешно нанесен';
			header('Location: ?id=' . $ID . '&act=fight');
			exit;
		}
	}
}

if (!$garem['cost']) $garem['cost'] = $cost;

if (isset($_GET['act']) && $_GET['act'] == 'theft')
{
	// Кража
	if (isset($_GET['ok']))
	{
		if (mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `user_id` = '".$ID."' and `thief_id` = '".$user['id']."'"),0) > 0)
		$err[] = 'Этот пользователь уже у Вас в гареме';
		elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `user_id` = '".$ID."'"),0) > 0)
		$err[] = 'Этот пользователь в чужом гареме';
		elseif ($ank['pol'] == $user['pol']) 
		$err[] = 'Вы можете похищать только пользователей противоположного пола';
		elseif ($ank['date_reg'] > (time() - 3600)) 
		$err[] = 'Пользователя нельзя воровать в течении часа после регистрации';
		elseif ($ank['date_last'] < (time() - 259200)) 
		$err[] = 'Пользователя нельзя воровать, если его не было на сайте больше 3х дней';
		
		if (!isset($_true)){
			$err[] = 'Неверный ключ сессии';
		}
		
		if (!isset($err))
		{
			$bal = $user['balls'] - $garem['cost'];
			mysql_query("UPDATE `user` SET
									`balls`= '" . $bal ."'
									 WHERE `id` = '".$user['id']."'
									 ");
			mysql_query("INSERT INTO `garem` (`user_id`,`thief_id`,`time`,`cost`) values ('" . $ID . "','" . $user['id'] . "','" . time(). "','" . intval($garem['cost'] + 0.25 * $garem['cost']) . "')");
									
			mysql_query("UPDATE `garem_stat` SET
									`cost`= '" . intval($garem['cost'] + 0.25 * $garem['cost']) . "',
									`stolen` = `stolen` + 1
									 WHERE `user_id` = '".$ID."'");
									 
			mysql_query("UPDATE `garem_stat` SET
									`stole`= `stole` + 1
									 WHERE `user_id` = '".$user['id']."'
									 ");
			$msg = "Пользователь [b]" . user::nick($user['id'], 0) . "[/b] украл" . ($user['pol'] == 0 ? 'а' : null) . "  [img]http://".text($_SERVER['HTTP_HOST'])."/plugins/garem/style/img/statya_126_uk_rf.png[/img] вас в свой [url=/plugins/garem/garem.php?id=$user[id]]гарем[/url]";
				
			// отправка сообщения
			mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '".$msg."', '$time')");
			
			$_SESSION['message'] = 'Вы забрали пользователя к себе в гарем';
			header("Location: /info.php?id=" . $ID);
			exit;
		}
	}
}

if (isset($_GET['act']) && $_GET['act'] == 'theft'){
	$set['title'] = 'Кража ' . $ank['nick'] . ' в гарем';
}elseif (isset($_GET['act']) && $_GET['act'] == 'guard'){
	$set['title'] = 'Нанять стражу';
	$link = ' | <a href="garem.php?id=' . $ID . '">Мой гарем</a> '; 
}elseif (isset($_GET['act']) && $_GET['act'] == 'fight'){
	$set['title'] = 'Битва';
	$link = ' | <a href="garem.php?id=' . $ID . '">Гарем ' . user::nick($ID, 0) . '</a> '; 
}

$_SESSION['sid'] = mt_rand(000, 999);
include_once '../../sys/inc/thead.php';
title();
aut();
err();

echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" /> ' . user::nick($ank['id']) . (isset($link) ? $link : '') . ' | <b>' . $set['title'] . '</b><br />';
echo '</div>';

if (isset($_GET['act']))
{
	if ($_GET['act'] == 'theft'){
		$garem = mysql_fetch_array(mysql_query("SELECT `cost` FROM `garem_stat` WHERE `user_id` = '" . $ID . "'"));

		if (!$garem['cost']) $garem['cost'] = $cost;

		echo '<div class="mess">';
		echo 'Украсть в гарем ' . user::avatar($ank['id']) . ' ' . user::nick($ank['id']) . ' стоит <b style="color:blue;">' . $garem['cost'] . '</b> баллов <br /> У Вас <b style="color:blue;">' . $user['balls'] . '</b> баллов <br />';
		echo '</div>';
		
		if (isset($guard)) {
?>
			<div class="mess" style="text-align: center;">
			Гарем под защитой <b><?= $person[$guard['id']]['name']?></b><br /> <img src="guard/<?= $guard['id']?>.png" style="max-height: 80px; max-width: 80px; <?= (!isset($_guard) ? 'opacity: 0.4;' : '')?>"/> <br />
			<?if (isset($_guard)) { ?>
			<?= (isset($user) && $user['id'] != $ank['id'] && $user['pol'] == $ank['pol'] ? '<img src="style/img/guard.png" /> <a href="act.php?id=' . $ID . '&amp;act=fight">В бой</a>' : '')?>
			<? } elseif (isset($guard) && $guard['time'] > time() - 60 * 60 * 24 * 3 && $user['id'] != $ank['id'] && $user['pol'] == $ank['pol'] && $guard['health'] == 0) { ?>
			<div class="mess"><?= $person[$guard['id']]['name']?> повержен, сейчас вы можете выкупать <?= ($user['pol'] == 1 ? 'наложниц' : 'наложников')?>, пока <?= $person[$guard['id']]['name']?> не восстановит силы.</div>
			<? } ?>
			<?= (isset($user) && $user['id'] == $ank['id'] ? '<img src="style/img/guard.png" /> <a href="act.php?id=' . $ID . '&amp;act=guard">Cменить стражу</a>' : '')?>
			</div>
<?	
		}
		
		echo '<div class="main_menu">';
		if (($user['balls'] - $garem['cost']) >= 0) 
		{
			echo '<img src="/style/icons/ok.gif" /> <a href="act.php?sid=' . $_SESSION['sid'] . '&amp;id=' . $ID . '&amp;act=theft&amp;ok">Украсть в гарем';
		}else{
			echo 'У вас не достаточно средств.';
		}
		echo '</div>';		
	} elseif ($_GET['act'] == 'guard'){
		
		for ($i = 1; 5 >= $i; $i++){
			
			?>
			<div class="<?= ($i % 2 ? "nav1" : "nav2")?>">
			<a href="?sid=<?= $_SESSION['sid']?>&amp;id=<?= $user['id']?>&amp;act=guard&amp;ok=<?= $i?>"><?= $person[$i]['name']?></a> <span style="color: red;"><?= $person[$i]['cost']?> <?= $sMonet[0]?></span><br />
			<img src="guard/<?= $i?>.png" style="max-height: 120px; max-width: 120px;" /><br />
			<?= $person[$i]['opis']?>
			</div>
			<?	
		}
		?><div class="mess">Купить охрану для гарема, можно только на 3 дня, отсчет времени начинается с момента покупки.</div><?
	} elseif ($_GET['act'] == 'fight'){
		
		?>
		<div class="mess" style="text-align: center;">
		<b><?= $person[$guard['id']]['name']?></b><br />
		<div style="display: inline-block; height: 10px; width: 150px; border: 1px solid red; position: relative;">
		 <div style="height: 10px; width: <?= ($guard['fight_time'] != 0 ? time() - $guard['fight_time'] + 100 : 0)?>%; background: #81ff6a; opacity: 0.7; position: absolute;"></div>
		 <div style="height: 10px; width: <?= ($guard['health'] > 0 ? $guard['health'] : 0)?>%; background: #51c837; position: absolute;"></div>
		 <div style="height: 10px; width: <?= ($guard['health_time'] != 0 ? time() - $guard['health_time'] + 100 : 0)?>%; background: #c9c9c9; position: absolute;"></div>
		 <span style="position: absolute; text-align: center; width: 100%; display: block; font-size: 9px;"><?= ($guard['health'] > 0 ? $guard['health'] : time() - $guard['health_time'] + 100)?>%</span>
		</div><br /> 
		<img src="guard/<?= $guard['id']?>.png" /> <br />
		<?= (isset($user) && $user['id'] != $ank['id'] && $user['pol'] == $ank['pol'] && $guard['health'] > 0 ? '<img src="style/img/guard.png" /> <a href="act.php?sid=' . $_SESSION['sid'] . '&amp;id=' . $ID . '&amp;act=fight&amp;ok">Нанести удар</a>' : '')?>
		 <?= ($guard['health'] <= 0 ? '<span style="font-size: 15px; color: red;">' . $person[$guard['id']]['name'] . ' повержен</span>' : '')?><br />  
		</div>
		
		<div class="mess">
		Битва за <img src="style/img/garem.png" /> <a href="garem.php?id=<?= $ID?>">гарем <?= user::nick($ID, 0)?></a><br />
		
		<table>
		<tr>
		<td style="width: 60px; vertical-align: top;">
		<?= user::avatar($user['id'], 1)?>
		</td>
		<td style="vertical-align: top;">
		<?= user::avatar($user['id'], 2)?> <?= user::nick($user['id'], 1, 1, 1)?><br />
		<div style="display: inline-block; height: 10px; width: 150px; border: 1px solid red; position: relative;">
		 <div style="height: 10px; width: <?= ($force['fight_time'] != 0 ? intval(((time() - $force['fight_time']) + 200) / 2) : 0)?>%; background: #81ff6a; opacity: 0.7; position: absolute;"></div>
		 <div style="height: 10px; width: <?= ($force['health'] > 0 ? $force['health'] : 0)?>%; background: #51c837; position: absolute;"></div>
		 <div style="height: 10px; width: <?= ($force['health_time'] != 0 ? intval(((time() - $force['fight_time']) + 200) / 2) : 0)?>%; background: #c9c9c9; position: absolute;"></div>
		 <span style="position: absolute; text-align: center; width: 100%; display: block; font-size: 9px;"><?= ($force['health'] > 0 ? $force['health'] : intval(((time() - $force['fight_time']) + 200) / 2))?>%</span>
		</div>
		</td>
		</tr>
		</table>
		
		</div>
		<?	
	}

}

require 'links.inc.php';

echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" /> ' . user::nick($ank['id']) . (isset($link) ? $link : '') . ' | <b>' . $set['title'] . '</b><br />';
echo '</div>';

include_once '../../sys/inc/tfoot.php';
?>